import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import 'app_colors.dart';

// не абстрактный класс и в нём не статичные и не константные поля из-за адаптивного интерфейса
class Montserrat {
  TextStyle size10Weihtg600 = TextStyle(
    fontSize: 10.sp,
    fontWeight: FontWeight.w600,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );

  TextStyle size11Weihtg600 = TextStyle(
    fontSize: 11.sp,
    fontWeight: FontWeight.w600,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );
  TextStyle size24Weihtg600Blue = TextStyle(
    fontSize: 24.sp,
    fontWeight: FontWeight.w600,
    color: AppColors.blueText,
    fontFamily: 'Montserrat',
  );

  TextStyle size12Weihtg600 = TextStyle(
    fontSize: 12.sp,
    fontWeight: FontWeight.w600,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );

  TextStyle size14Weihtg600 = TextStyle(
    fontSize: 14.sp,
    fontWeight: FontWeight.w600,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );

  TextStyle size18Weihtg600 = TextStyle(
    fontSize: 18.sp,
    fontWeight: FontWeight.w600,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );

  TextStyle size20Weihtg600 = TextStyle(
    fontSize: 20.sp,
    fontWeight: FontWeight.w600,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );

  TextStyle size96Weihtg600 = TextStyle(
    fontSize: 96.sp,
    fontWeight: FontWeight.w600,
    height: 115 / 96,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );

  TextStyle size20Weihtg400 = TextStyle(
    fontSize: 20.sp,
    fontWeight: FontWeight.w400,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );

  TextStyle size38Weihtg700 = TextStyle(
    fontSize: 38.sp,
    fontWeight: FontWeight.w700,
    color: AppColors.textWelcome,
    fontFamily: 'Montserrat',
  );

  TextStyle size14Weihtg500 = TextStyle(
    fontSize: 14.sp,
    fontWeight: FontWeight.w500,
    color: AppColors.white.withOpacity(0.5),
    fontFamily: 'Montserrat',
  );

  TextStyle size28Weihtg700 = TextStyle(
    fontSize: 28.sp,
    fontWeight: FontWeight.w700,
    color: AppColors.white,
    fontFamily: 'Montserrat',
  );
}

class Sans {
  TextStyle size16Weihtg500 = TextStyle(
    fontSize: 16.sp,
    fontWeight: FontWeight.w500,
    color: AppColors.white,
    fontFamily: 'Sans',
  );

  TextStyle size58Weihtg500 = TextStyle(
    fontSize: 58.sp,
    fontWeight: FontWeight.w500,
    color: AppColors.white,
    height: (70 / 58),
    fontFamily: 'Sans',
  );

  TextStyle size36Weihtg600 = TextStyle(
    fontSize: 36.sp,
    fontWeight: FontWeight.w600,
    color: AppColors.white,
    fontFamily: 'Sans',
  );
  TextStyle size18Weihtg500 = TextStyle(
    fontSize: 18.sp,
    fontWeight: FontWeight.w500,
    color: AppColors.white,
    height: 21.6 / 18,
    fontFamily: 'Sans',
  );
}
