import 'package:freezed_annotation/freezed_annotation.dart';

import 'app_tabs.dart';

part 'app_state.freezed.dart';

@freezed
class AppState with _$AppState {
  const factory AppState({
    @Default(AppTabs.settings) AppTabs currentTab,
    @Default('') String exeHash,
    @Default(45) int flatCount,
    @Default(100) int avtoCount,
    @Default(20) int motoCount,
    @Default(2000) int phoneCount,
    @Default(false) bool startGeneratePhone,
  }) = _AppState;
}
