import 'package:freezed_annotation/freezed_annotation.dart';

@JsonEnum(valueField: 'currentStep')
enum AppTabs {
  @JsonValue(0)
  settings(name: 'Настройки', step: 0),
  @JsonValue(1)
  quiz(name: 'Основные подарки', step: 1),
  @JsonValue(2)
  phones(name: 'Смартфоны', step: 2),
  @JsonValue(3)
  result(name: 'Протокол', step: 3);

  const AppTabs({
    required this.name,
    required this.step,
  });

  final String name;
  final int step;

  int compareTo(AppTabs other) => step - other.step;
}
