import 'package:freezed_annotation/freezed_annotation.dart';

@JsonEnum(valueField: 'currentPresent')
enum Present implements Comparable<Present> {
  @JsonValue('Квартира')
  flat(name: 'Квартира'),
  @JsonValue('Автомобиль')
  avto(name: 'Автомобиль'),
  @JsonValue('Мотоцикл')
  moto(name: 'Мотоцикл'),
  @JsonValue('Смартфон')
  phone(name: 'Смартфон');

  const Present({required this.name});

  final String name;

  @override
  int compareTo(Present other) => name.hashCode - other.name.hashCode;
}
