import 'package:freezed_annotation/freezed_annotation.dart';

import 'present.dart';
import 'win_string.dart';

part 'quiz_state.freezed.dart';

@freezed
class QuizState with _$QuizState {
  const factory QuizState({
    @Default([]) List<bool> flatRest,
    @Default(100) int avtoRest,
    @Default(20) int motoRest,
    Present? currentPresent,
    int? currentFlatNumber,
    String? currentNumber,
    @Default([]) List<WinString> lastWins,
  }) = _QuizState;
}
