import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_svg/flutter_svg.dart';

import '../../../common/images.dart';

class Logos extends StatelessWidget {
  const Logos({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return Row(
      mainAxisSize: MainAxisSize.min,
      children: [
        SvgPicture.asset(
          AppImages.logoUrFU,
          width: 93.w,
          height: 32.h,
        ),
        SizedBox(width: 62.w),
        SvgPicture.asset(
          AppImages.logoReg,
          width: 96.w,
          height: 35.h,
        ),
      ],
    );
  }
}
