import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../common/theme/app_text_style.dart';

class QuizNameSmall extends StatelessWidget {
  const QuizNameSmall({super.key});

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return Opacity(
      opacity: 0.4,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        mainAxisSize: MainAxisSize.min,
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Text(
            'Викторина'.toUpperCase(),
            style: Montserrat().size28Weihtg700.copyWith(fontSize: 14.sp),
          ),
          Text(
            '«Опорный край»'.toUpperCase(),
            style: Montserrat()
                .size28Weihtg700
                .copyWith(fontSize: 22.sp, height: 0.9),
          ),
        ],
      ),
    );
  }
}
