import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gradient_borders/box_borders/gradient_box_border.dart';

import '../../common/theme/app_colors.dart';

BoxBorder gradientBorder() => GradientBoxBorder(
    width: 1.h,
    gradient: LinearGradient(colors: [
      AppColors.blueGradientBorder.withOpacity(0.3),
      AppColors.greyGradientBorder.withOpacity(0.3),
    ]));
