import 'package:flutter/material.dart';

abstract class AppColors {
  static const Color white = Color(0xFFFFFFFF);

  static const Color red = Color(0xFFEF302B);
  static const Color redLight = Color(0xFFFA9F9D);
  static const Color redLighter = Color(0xFFF1BCBA);

  static const Color blueBackground = Color(0xFF235F90);
  static const Color blueTabDark = Color(0xFF034791);
  static const Color blueRecordBorder = Color(0xFFACCDEC);
  static const Color blueButton = Color(0xFF2879D4);
  static const Color blueSelectGradientDark = Color(0xFF1F69BA);
  static const Color blueSelectGradientLight = Color(0xFF5E84BD);
  static const Color blueSelectActiveBorder = Color(0xFF1EBBFF);
  static const Color blueSelectDisableBorder = Color(0xFF3D7BBF);
  static const Color blueFlatTextButton = Color(0xFF1E4391);
  static const Color blueFlatActiveBorder = Color(0xFFB2D0EF);
  static const Color blueResultPresentBorder = Color(0xFF1E93FF);
  static const Color blueText = Color(0xFF367AC7);
  static const Color blueGradientBorder = Color(0xFF0084F0);
  static const Color blueScrollbarBorder = Color(0xFFD1E4F7);
  static const Color blueScrollbarTrack = Color(0xFF6CA7DF);
  static const Color blueScrollbarThumb = Color(0xFFACCDEC);

  static const Color textUnselected = Color(0xFF83B5E2);
  static const Color textCount = Color(0xFFC0C7E2);
  static const Color textSite = Color(0xFF58B3F3);
  static const Color textWelcome = Color(0xCCE7F3FF);

  static const Color grey = Color(0xFFF9F9F9);
  static const Color greyButton = Color(0xFFCAD1E1);
  static const Color greyTextButton = Color(0xFFADB7CF);
  static const Color greyGradientBorder = Color(0xFFFBFBFB);

  static const Color pink = Color(0xFFE54B6A);

  static const Color sea = Color(0xFF01FFF0);
  static const Color seaDark = Color(0xFF2BF2FF);
  static const Color green = Color(0xFF3BA68C);
}
