import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../common/theme/app_text_style.dart';
import '../../common_widgets/current_time.dart';

class FooterSettings extends StatelessWidget {
  const FooterSettings({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 32.w),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        crossAxisAlignment: CrossAxisAlignment.end,
        children: [
          Text(
            '© ФГАОУ ВО «УрФУ имени первого\nПрезидента России Б.Н. Ельцина», 2024',
            style: Montserrat().size14Weihtg500,
          ),
          const CurrentTime(),
        ],
      ),
    );
  }
}
